InfoObjectDescriptionTreeIterator
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.rs
Class InfoObjectDescriptionTreeIterator

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.filter.SMSIterator<InfoObjectTree,java.lang.String>
          org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.rs.InfoObjectDescriptionTreeIterator

All Implemented Interfaces:
  java.util.Iterator<InfoObjectTree>

    public class InfoObjectDescriptionTreeIterator

extends SMSIterator<InfoObjectTree,java.lang.String>

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`InfoObjectDescriptionTreeIterator(GCUBELog logger, java.util.Iterator<java.lang.String> inputIterator, RawContentLocationConfig contentLocation, BasicStorageHints hints, java.util.List<TreeWalkRule> walkRules, int hops)`

Method Summary
`InfoObjectTree` | `generateNext(java.lang.String input)`

Methods inherited from class org.gcube.contentmanagement.storagelayer.storagemanagementservice.impl.filter.SMSIterator
`hasNext, next, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoObjectDescriptionTreeIterator

    public InfoObjectDescriptionTreeIterator(GCUBELog logger,
                                             java.util.Iterator<java.lang.String> inputIterator,
                                             RawContentLocationConfig contentLocation,
                                             BasicStorageHints hints,
                                             java.util.List<TreeWalkRule> walkRules,
                                             int hops)

Method Detail

### generateNext

    public InfoObjectTree generateNext(java.lang.String input)

  Specified by:
    `generateNext` in class `SMSIterator<InfoObjectTree,java.lang.String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD